/*
//	File:		CANTest.h
//	Created:	Christian Apfel
//	Date:		26.04.2017
//	Modified:	
//	Date:		
//
*/

#ifndef CANTEST_H
#define CANTEST_H

class CANTest
{
public:
	CANTest();
	~CANTest();
	void StartCanTest();
	bool CANWriteTest(DHCOM_CANModeEnum eCANMode, unsigned long lCANBitrate, int iCANID, unsigned char cCANPrio, unsigned char *cData);
	bool CANReadTest(DHCOM_CANModeEnum eCANMode, unsigned long lCANBitrate, int *iCANID, int iCount, unsigned char *cData);
	bool CANRemoteWriteTest(DHCOM_CANModeEnum eCANMode, unsigned long lCANBitrate, int iCANID, unsigned char cCANPrio, unsigned char *cData);
	bool CANRemoteReadTest(DHCOM_CANModeEnum eCANMode, unsigned long lCANBitrate, int *iCANID, int iCount, unsigned char *cData);
	bool CANFilterWriteTest(DHCOM_CANModeEnum eCANMode, unsigned long lCANBitrate, int iCANID, unsigned char cCANPrio, int iCANFilterID, int iCANFilterIDMask, unsigned char *cData);
	bool CANFilterReadTest(DHCOM_CANModeEnum eCANMode, unsigned long lCANBitrate, int *iCANID, int iCANFilterID, int iCANFilterIDMask, int iCount, unsigned char *cData);
};

#endif