/*
//	File:		GPIO_Test.h
//	Created:	Christian Apfel
//	Date:		15.12.2015
//
*/

#ifndef GPIOTEST_H
#define GPIOTEST_H

#include "DHHalLib.h"

#define THREADCOUNT 4 

static DWORD WINAPI ThreadProc(LPVOID);
static HANDLE g_hEvent;

class GPIOTest
{
public:
	GPIOTest();
	~GPIOTest();
	void StartGpioTest();
	bool GPIOLoopbackTest(DHCOM_GPIOEnum out_eGPIO, DHCOM_GPIOEnum in_eGPIO);
	bool GPIOInterruptTest(DHCOM_GPIOEnum in_eGPIO, DHCOM_GPIOEnum out_eGPIO);
	bool GPIOLEDTest(DHCOM_GPIOEnum eGPIO, bool bState);
	bool GPIOSetPinTEST(DHCOM_GPIOEnum eGPIO, bool bState);
	bool GPIOGetPinTEST(DHCOM_GPIOEnum eGPIO);
	void GPIOInitLeds();
	void GPIODeInitLeds();
	void GPIOInitButtons();
	void GPIOSetLED();
private:
	void CreateEventAndThread();
	//void SetThreadEvent();
};

#endif